WebSocketParserD00 (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.websocket

## Class WebSocketParserD00

- java.lang.Object
- - org.eclipse.jetty.websocket.WebSocketParserD00

- All Implemented Interfaces:
    WebSocketParser

      public class WebSocketParserD00
      extends Object
      implements WebSocketParser

  Parser the WebSocket protocol.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.websocket.WebSocketParser

      `WebSocketParser.FrameHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATE_DATA`
    `static int` | `STATE_LENGTH`
    `static int` | `STATE_SENTINEL_DATA`
    `static int` | `STATE_START`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketParserD00(WebSocketBuffers buffers, EndPoint endp, WebSocketParser.FrameHandler handler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fill(Buffer buffer)`
    `Buffer` | `getBuffer()`
    `boolean` | `isBufferEmpty()`
    `int` | `parseNext()` Parse to next event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATE_START

          public static final int STATE_START

      See Also:
        Constant Field Values

    - #### STATE_SENTINEL_DATA

          public static final int STATE_SENTINEL_DATA

      See Also:
        Constant Field Values

    - #### STATE_LENGTH

          public static final int STATE_LENGTH

      See Also:
        Constant Field Values

    - #### STATE_DATA

          public static final int STATE_DATA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebSocketParserD00

          public WebSocketParserD00(WebSocketBuffers buffers,
                            EndPoint endp,
                            WebSocketParser.FrameHandler handler)

      Parameters:
        `buffers` - The buffers to use for parsing. Only the `Buffers.getBuffer()` is used. This should be a direct buffer if binary data is mostly used or an indirect buffer if utf-8 data is mostly used.
        `endp` - the endpoint
        `handler` - the handler to notify when a parse event occurs

  - ### Method Detail

    - #### isBufferEmpty

          public boolean isBufferEmpty()

      Specified by:
        `isBufferEmpty` in interface `WebSocketParser`

    - #### getBuffer

          public Buffer getBuffer()

      Specified by:
        `getBuffer` in interface `WebSocketParser`

    - #### parseNext

          public int parseNext()

      Parse to next event. Parse to the next `WebSocketParser.FrameHandler` event or until no more data is available. Fill data from the `EndPoint` only as necessary.
      Specified by:
        `parseNext` in interface `WebSocketParser`
      Returns:
        An indication of progress or otherwise. -1 indicates EOF, 0 indicates that no bytes were read and no messages parsed. A positive number indicates either the bytes filled or the messages parsed.

    - #### fill

          public void fill(Buffer buffer)

      Specified by:
        `fill` in interface `WebSocketParser`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.